### Function

# GLib Hook alloc

#### Declaration

    GHook*
    g_hook_alloc (
      GHookList* hook_list
    )

#### Description

Allocates space for a `GHook` and initializes it.

This function is not directly available to language bindings.

#### Parameters

`hook_list`

  Type: `GHookList`

  A `GHookList`.

  The data is owned by the caller of the function.

#### Return value

Type: `GHook`

A new `GHook`.

The data is owned by the called function.